bugGNUstep - Bugs: bug #34627, libobjc2 does not work if...

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #34627: libobjc2 does not work if libdispatch is installed

Submitted by:  Tobias Platen <animeshader>
Submitted on:  Sun 23 Oct 2011 07:36:01 AM UTC  
 
Category:  Libraries Severity:  3 - Normal
Item Group:  Bug Status:  None
Privacy:  Public Assigned to:  None
Open/Closed:  Open

Mon 07 Nov 2011 09:18:25 PM UTC, comment #1:

I think this isn't a base problem but rather one in libobjc2.
I changed the summary and the category to reflect that.

Fred Kiefer <FredKiefer>
Project Member
Sun 23 Oct 2011 07:36:01 AM UTC, original submission:

If the libdispatch debian package (http://packages.debian.org/testing/libdevel/libdispatch0)
is installed you will need to modify the makefile of libobjc, else you will get a linker error, when compiling base.
The toydispatch implementation wont be used by the linker.

Tobias Platen <animeshader>

 

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by FredKiefer (Posted a comment)
  • -email is unavailable- added by animeshader (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

     

     

    Follow 2 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2011-11-07 FredKiefer CategoryBase/Foundation => Libraries
        Summaryobjc does not work if libdispatch is installed => libobjc2 does not work if libdispatch is installed

    Back to the top


    Powered by Savane 3.3